## unicap 0.9.3hardy1

=== doc/api/Makefile ===
all: index.html

index.html: main.xml
	xsltproc -o html/$@ --xinclude apitohtml.xsl $^


%.html: %.xml
	xsltproc -o html/$@ apitohtml.xsl $^
