=== debian/changelog ===
unicap (0.9.3hardy1) hardy; urgency=low

  * changing version to 0.9.3hardy1

 -- Arne Caspari <arne@unicap-imaging.org>  Fri, 03 Oct 2008 22:23:20 +0200

unicap (0.9.3) hardy; urgency=low

  * updated to 0.9.3

 -- Arne Caspari <arne@unicap-imaging.org>  Wed, 24 Sep 2008 09:06:35 +0200

unicap (0.9.2) hardy; urgency=low

  * updated to 0.9.2

 -- Arne Caspari <arne@unicap-imaging.org>  Mon, 08 Sep 2008 07:44:18 +0200

unicap (0.9.1) hardy; urgency=low

  * updated to 0.9.1

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 28 Aug 2008 20:52:26 +0200

unicap (0.9.0) hardy; urgency=low

  * updated to 0.9.0

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 24 Aug 2008 13:59:52 +0200

unicap (0.2.22) unstable; urgency=low

  * Initial hardy package

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 24 Apr 2008 07:41:37 +0200
