=== debian/control ===
Source: unicap
Section: libs
Priority: optional
Maintainer: Arne Caspari <arne@unicap-imaging.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libraw1394-dev, libgtk2.0-dev, libxv-dev, libtheora-dev, gtk-doc-tools, libasound2-dev, libvorbis-dev, libtool
Standards-Version: 3.7.3

Package: libunicap2
Section: libs
Architecture: any
Depends: libraw1394-8, ${shlibs:Depends}
Conflicts: libunicap-0
Description: a library to access different kinds of video capture devices
 .
 This package provides unicap, a video capture library.

Package: libunicap-dev
Section: libdevel
Architecture: any
Depends: libunicap2 (= ${binary:Version}), libraw1394-dev, pkg-config
Description: unicap library, development files
 .
 This package contains the files needed to compile and link 
 programs which use libunicap.

Package: libunicap-doc
Section: doc
Architecture: any
Description: unicap library, documentation
 . 
 This package provides the API documentation for libunicap. 

Package: libunicapgtk2
Section: libs
Architecture: any
Depends: libunicap2 (= ${binary:Version}), libgtk2.0-0, libxv1, ${shlibs:Depends}
Conflicts: libunicapgtk-0
Description: graphical user interface to be used with libunicap
 .
 This package provides a library to build graphical video capture
 applications

Package: libunicapgtk-dev
Section: libdevel
Architecture: any
Depends: libunicapgtk2 (= ${binary:Version}), libunicap-dev (= ${binary:Version}), libgtk2.0-dev, libxv-dev
Description: unicapgtk library, development files
 .
 This package contains the files needed to compile and link 
 programs which use libunicapgtk.

Package: libunicapgtk-doc
Section: doc
Architecture: any
Description: unicapgtk library, documentation
 . 
 This package provides the API documentation for libunicapgtk ( GTK+
 support library for unicap ).

Package: libucil2
Section: libs
Architecture: any
Depends: libunicap2 (= ${binary:Version}), libtheora0, libasound2, libvorbis0a, libvorbisenc2, ${shlibs:Depends}
Conflicts: libucil-0
Description: a simple image processing library, designed to work with unicap
 .
 This package provides ucil, a simple image processing library. The
 library is designed to work with unicap.

Package: libucil-dev
Section: libdevel
Architecture: any
Depends: libucil2 (=${binary:Version}), libunicap-dev (=${binary:Version}), libtheora-dev
Description: ucil library, development files
 .
 This package provides the development files required to develop
 applications with UCIL ( a support library for unicap )

Package: libucil-doc
Section: doc
Architecture: any
Description: ucil library, documentation
 . 
 This package provides the API documentation for libucil ( a support
 library for unicap ).


Package: libunicap-2
Section: misc
Architecture: any
Depends: libunicap2 (= ${binary:Version})
Description: transitional package for libunicap2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libunicap2 package.

Package: libunicapgtk-2
Section: misc
Architecture: any
Depends: libunicapgtk2 (= ${binary:Version})
Description: transitional package for libunicapgtk2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libunicapgtk2 package.

Package: libucil-2
Section: misc
Architecture: any
Depends: libucil2 (= ${binary:Version})
Description: transitional package for libucil2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libucil2 package.
