## unicap 0.9.3hardy1netbook0natick1

=== debian/changelog ===
unicap (0.9.3hardy1netbook0natick1) natick; urgency=low

  * Rebuild for natick distro

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 10 Mar 2009 15:30:27 +0000
