=== examples/c/OpenCV/highgui_face_detect/Makefile ===
all: face_detect


cam_display: cam_display.c
	$(CC) $(CFLAGS) -o $@ $^ `pkg-config --cflags --libs libunicap libucil opencv glib-2.0`

face_detect: face_detect.c
	$(CC) $(CFLAGS) -o $@ $^ `pkg-config --cflags --libs libunicap libucil opencv glib-2.0`


clean:
	rm -f *.o
	rm -f *~
	rm -f cam_display
	rm -f face_detect
