=== debian/control ===
Source: unicap
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 gnulib,
 libtool,
 automake1.11,
 autoconf,
 debhelper,
 dh-buildinfo,
 intltool,
 gtk-doc-tools (>= 1.4),
 libraw1394-dev (>= 1.1.0),
 libv4l-dev,
 libgtk2.0-dev,
 libglib2.0-dev,
 pkg-config,
 d-shlibs (>= 0.45~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/unicap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unicap.git
Homepage: http://unicap-imaging.org/

Package: libunicap2-dev
Section: libdevel
Depends: libunicap2 (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Provides: libunicap-dev
Conflicts: libunicap-dev
Architecture: any
Description: unified interface to video capture devices - development files
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains the development headers and static libraries.

Package: libunicap2
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libunicap-docs
Architecture: any
Description: unified interface to video capture devices - shared libraries
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains the shared libraries.

Package: libunicap-docs
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: unified interface to video capture devices - documentation
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains documentation.
