=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://unicap-imaging.org/download.htm downloads/libunicap-([\d+\.]+|\d+)\.tar\.gz debian
