## unicap 0.9.12+repack20150328.0.git2c600ae

=== debian/changelog ===
unicap (0.9.12+repack20150328.0.git2c600ae-6) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 17:01:35 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-5) unstable; urgency=medium

  * Upload to unstable.

  * Add patch to fix FTBFS dues to invalid empty charset declaration
    (Closes: #1074621)
  * B-D on pkgconf instead of pkg-config
  * Use execute_{before,after}_dh_* instead of override_dh_* where applicable
  * Use d/clean
  * Update copyright information
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Jul 2024 21:03:48 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-4exp1) experimental; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Set libunicap-doc to MultiArch:foreign
  * Rename libunicap-docs to libunicap-doc
  * Drop obsolete ${devlibs:Depends}
  * Drop unnecessary dependency on libgtk2.0-dev (Closes: #967787)
  * Add Build-Depends to symbols file
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jenkins ]
  * Apply multi-arch hints. + libunicap2, libunicap2-dev: Add Multi-Arch: same.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Aug 2021 13:15:40 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch to remove unused, but multiply defined variable. (Closes: #957898)
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Install locales
  * Mark libtool files as not-installed
  * Add udev-rules for euvccam to documentation
  * Forward all patches to upstream
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jul 2020 15:54:36 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-2) unstable; urgency=medium

  * Keep cpi_register() function in plugins, so they actually work

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2017 17:02:47 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-1) unstable; urgency=medium

  * New upstream version 0.9.12+repack20150328.0.git2c600ae

  [ IOhannes m zmölnig ]
  * Refresh patches
    * Update patch to fix translation check
    * Add patch to allow building of gtk-docs
  * Switch build-system to dh
  * Add libunicap2.symbols file
    * Restrict exported symbols to unicap_* namespace
    * Exclude CPI-libraries from dpkg-gensymbols
  * Streamline Build-Dependencies
  * Suggest docs from dev package (rather than from the libs)
  * Drop superfluous Section from d/control
  * Add d/source/local-options
  * Update d/copyright
  * Fix d/watch
  * Add README.source explaining on how to get the sources
  * Switch Vcs to pkg-multimedia (and modernized Vcs-* stanzas)
  * Added myself to uploaders
  * Bump dh compat to 10
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2017 15:57:08 +0200
